<%@ Page Title="新建投票" Language="C#" MasterPageFile="~/Admin/Admin.Master" AutoEventWireup="true" CodeBehind="Vote_Addnew.aspx.cs" Inherits="Vote.Admin.Vote_Addnew" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">




  <div  class="result-content"> 


    

 <h4>1.投票主题</h4> 

        <table class="table" width="100%">
                        <tbody> 
                        <tr>
                            <th width="120">投票分类：</th>
                            <td>
                             <asp:DropDownList ID="ddl_category" CssClass="form-control" runat="server" Width="200"></asp:DropDownList> 
                            </td>
                        </tr>
                            <tr>
                                <th>投票主题：</th>
                                <td>
                                <asp:TextBox ID="txt_votename" runat="server" Width="400px"  class="form-control"></asp:TextBox> 
                                    <asp:RequiredFieldValidator Display="Dynamic" ControlToValidate="txt_votename" ID="RequiredFieldValidator1" runat="server" ErrorMessage="必须填写主题名称"></asp:RequiredFieldValidator>
                             </td>
                            </tr>


                               <tr>
                                <th>开始时间：</th>
                                <td>
                                <asp:TextBox ID="txt_start" runat="server" Width="200px" onclick="laydate()"  class="form-control"></asp:TextBox> 
                             </td>
                            </tr>


                               <tr>
                                <th>结束时间：</th>
                                <td>
                                <asp:TextBox ID="txt_end" runat="server" Width="200px"   onclick="laydate()" class="form-control"></asp:TextBox> 
                             </td>
                            </tr>
                    </tbody>
        </table>
       

         
   
   <br />  <br />



 <h4>投票规则</h4> 
 

  <table class="table" width="100%">
                        <tbody> 
                        <tr>
                            <th width="120">投票规则：</th>
                            <td>
                            
                             <asp:RadioButtonList BorderWidth="0px" ClientIDMode="Static"
                                    runat="server" ID="rbl_voteby" Width="800px" RepeatColumns="2" RepeatDirection="Horizontal">
     <asp:ListItem Text="根据登录名可以投票(LoginName模式，适合内网)"   Value="votebyloginname"></asp:ListItem>
     <asp:ListItem Text="根据员工号可以投票(StaffCode模式，适合内网)"    Value="votebyusername"></asp:ListItem>
        

      <asp:ListItem Text="根据每个IP可以投票（IP模式，适合外网）"   Value="votebyip"></asp:ListItem>
    <asp:ListItem Text="根据每个机器Cookie可以投票（Cookie模式，适合外网）"   Value="cookie"></asp:ListItem>
 </asp:RadioButtonList>

        
      
                                 </td>
       </tr>


         <tr>
                                <th>投票个数：</th>
                                <td>
                                <asp:TextBox ID="txt_counts" runat="server" Text="0"></asp:TextBox> (0为不限制)  
                             &nbsp;<a href="javascript:void(0)" onclick="alert('设置每个员工最多能够投票的个数')" ><span id="span_help1" style=" cursor:pointer">说明</span></a>
                                </td>
          </tr>

                            


         <tr id="tr1">
                                <th>候选人票数：</th>
                                <td>
                                <asp:TextBox ID="txt_maxperperson" runat="server" Text="0"></asp:TextBox> (0为不限制)  
                                &nbsp;<a href="javascript:void(0)" onclick="alert('设置一个投票人可以对一个候选人投票的最多个数。')"><span id="span_help2" style=" cursor:pointer">说明</span></a>
                                </td>
          </tr>




                            
         <tr id="tr2">
                                <th>时间间隔：</th>
                                <td>
                                <asp:TextBox ID="txt_timeduring" runat="server" Text="24"></asp:TextBox> 小时 (默认为24小时)  
                              
                                </td>
          </tr>



       </tbody>
       </table>

        
        
   
   <br />   <br />

   
     <asp:RadioButtonList ID="rbl_comm"  RepeatColumns="3" runat="server" Width="600px" Visible=false >
    <asp:ListItem Text="不允许评论"   Value="0"></asp:ListItem>
     <asp:ListItem Text="允许评论" Value="1"></asp:ListItem>
      <asp:ListItem Text="允许评论，但是审核后显示" Value="2"></asp:ListItem>
    </asp:RadioButtonList>



 <h4>投票版面与简介</h4>
  

    <table class="table" width="100%">
                        <tbody> 

                        <tr>
                        <td>投票界面
</td>
                        <td>
                        
                        <asp:RadioButtonList  ClientIDMode="Static"   BorderWidth="0px" runat="server" ID="rbl_theme"
                             RepeatColumns="4" Width=600>
<asp:ListItem Text="高端大气" Value="0"></asp:ListItem> 
     <asp:ListItem Text="蓝色天空" Value="2"></asp:ListItem> 
        <asp:ListItem Text="多选模式" Value="3"></asp:ListItem>   
</asp:RadioButtonList>



</td>
                        </tr>

                        <tr>
                            <th width="120">投票简介：</th>
                            <td>
     <asp:TextBox ID="txt_law" TextMode="MultiLine"  Width="500px" Height="50px" runat="server"></asp:TextBox>
     </td>
     </tr>
     </tbody>
     </table>
 
  
   
    
     
      
      <div style="text-align:center; width:800px">
    <asp:Button ID="btn_add" runat="server" Text="添加" 
        
         OnClientClick=" if(!chktheme()) return false;"
        
        class="btn btn-primary btn6 mr10" onclick="Button1_Click" />
    <input type="button" onclick="window.location='Vote_Lists.aspx';"  class="btn btn6" value="返回"/>
   </div>


</div>


    <br /><br />



    <script>


        function chktheme()
        {
            var k = $("#rbl_voteby input:checked").val();
          
            if (k == "votebyip" || k == "cookie") {
                var isselectTheme = $("#rbl_theme td").eq(2).find("input").prop("checked");
               
                if (!isselectTheme)
                {
                    alert("请选择投票界面");
                    return false;
                }
                return true;

            }
            else {

                var isselectTheme1 = $("#rbl_theme td").eq(0).find("input").prop("checked");
                var isselectTheme2 = $("#rbl_theme td").eq(1).find("input").prop("checked");



                if (isselectTheme1 || isselectTheme2) {
                   
                }
                else {
                    alert("请选择投票界面");
                    return false;
                }

                return true;
               
            }

        }


        $(document).ready( function ()
            {
            $("#rbl_voteby input").click(function () {
                
                        if (($(this).val() == "cookie") || ($(this).val() == "votebyip")) {
                            $("#tr1").hide();
                            $("#tr2").show();

                            $("#rbl_theme td").eq(0).hide();
                            $("#rbl_theme td").eq(1).hide();
                            $("#rbl_theme td").eq(2).show();

                        }
                        else {
                         

                            $("#tr1").show();
                            $("#tr2").hide();

                            $("#rbl_theme td").eq(0).show();
                            $("#rbl_theme td").eq(1).show();
                            $("#rbl_theme td").eq(2).hide();
                        }

                    });

        }
            );






        $("#rbl_voteby input").each(function () {
            if ($(this).is(":checked"))
            { 
            if (($(this).val() == "cookie") || ($(this).val() == "votebyip")) {
                $("#tr1").hide();
                $("#tr2").show();

                $("#rbl_theme td").eq(0).hide();
                $("#rbl_theme td").eq(1).hide();
                $("#rbl_theme td").eq(2).show();

            }
            else {
              
                $("#tr1").show();
                $("#tr2").hide();

                $("#rbl_theme td").eq(0).show();
                $("#rbl_theme td").eq(1).show();
                $("#rbl_theme td").eq(2).hide();
            }
            }
        });



    </script>

     

</asp:Content>
